package cz.moneta.test.dsl.ufo.banka.pages.loans.flexikredit;

import cz.moneta.test.dsl.ufo.banka.pages.main.HKO101_S001_MainClientPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.flexi.credit.NKK003_S001_SelectingApprovedVariantsPage;
import cz.moneta.test.dsl.ufo.banka.pages.requests.BAL006_S002_ClientRequestPage;
import cz.moneta.test.dsl.ufo.banka.pages.requests.PSI001_S050_PreContractualInformationPrintedPage;
import cz.moneta.test.harness.support.web.Builder;

public interface NFL006_S001_FlexikreditScoringResultPageTransitions extends Builder {

    HKO101_S001_MainClientPage onMainClientPage();

    BAL006_S002_ClientRequestPage onListOfRequestsPage();

    NKK003_S001_SelectingApprovedVariantsPage onSelectingApprovedVariantsPage();

    PSI001_S050_PreContractualInformationPrintedPage onPreContractualInformationPrintedPage();

    HPO003_FlexikreditDetailPage onFlexiCreditDetailPage();

}
